export declare class BaseResource {
    /**
     * Name of the resource.
     */
    static get resourceName(): string;
    /**
     * The name of the service the resource belongs to.
     */
    static get serviceName(): string;
    /**
     * The path to the resource on the API server.
     */
    static get path(): string;
}
